function radius=tireradius(tirespec)
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
%$$ CAPSim (Vehicle Propulsion Simulation Tool)                            $$
%$$ (C)Copyright 2005 Center for Automotive Propulsion Simulation          $$
%$$                                                                        $$
%$$ The contents of this file is Licenced Material and                     $$
%$$ is a property of CAPSim                                                $$
%$$ All rights reserved.                                                   $$
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
%=====================================================================
% Created by Jonas Fredriksson, Mekatronik Chalmers 
%---------------------------------------------------------------------
% Calculates tire radius given tirespecification,
%
% radius=tireradius(tirespec)
%
% in: tirespec - string specifying tire dimesions - '205/55R16'
% out: radius in m      
%
%---------------------------------------------------------------------

% Calculate rolling radius
tire_rim=str2num(tirespec(findstr(tirespec,'R')+1:end));
tire_height=str2num(tirespec(findstr(tirespec,'/')+1:findstr(tirespec,'R')-1));
tire_width=str2num(tirespec(1:findstr(tirespec,'/')-1));
radius = 0.001*((tire_rim*25.4) + (2*tire_height/100*tire_width))/2;
